package com.org.system.entity;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 创建者 **/
    private Long createBy;

    /** 创建时间 **/
    @JsonFormat(pattern= DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /** 更新者 **/
    private Long updateBy;

    /** 更新时间 **/
    @JsonFormat(pattern=DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /** 是否删除 1-是,0-否 **/
    private Integer isDelete;

    /** 删除者 **/
    private Long deleteBy;

    /** 删除时间 **/
    @JsonFormat(pattern=DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date deleteTime;

    /** 删除理由 **/
    private String deleteReason;

    /** 备注 **/
    private String remark;

}
