package com.org.ueditor.domain;

import lombok.Data;

@Data
public class UeditorConfigJson {

    /* 上传图片配置项 */
    /* 执行上传图片的action名称 */
    private String imageActionName = "uploadimage";
    /* 提交的图片表单名称 */
    private String imageFieldName = "upfile";
    /* 上传大小限制，单位B */
    private long imageMaxSize = 2048000;
    /* 上传图片格式显示 */
    private String[] imageAllowFiles = new String[]{".png", ".jpg", ".jpeg", ".gif", ".bmp"};
    /* 是否压缩图片;默认是true */
    private boolean imageCompressEnable = true;
    /* 图片压缩最长边限制 */
    private long imageCompressBorder = 1600;
    /* 插入的图片浮动方式 */
    private String imageInsertAlign = "none";
    /* 图片访问路径前缀 */
    private String imageUrlPrefix = "";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    /* {filename} 会替换成原文件名;配置这项需要注意中文乱码问题 */
    /* {rand:6} 会替换成随机数;后面的数字是随机数的位数 */
    /* {time} 会替换成时间戳 */
    /* {yyyy} 会替换成四位年份 */
    /* {yy} 会替换成两位年份 */
    /* {mm} 会替换成两位月份 */
    /* {dd} 会替换成两位日期 */
    /* {hh} 会替换成两位小时 */
    /* {ii} 会替换成两位分钟 */
    /* {ss} 会替换成两位秒 */
    /* 非法字符 \ : * ? " < > | */
    /* 具请体看线上文档: fex.baidu.com/ueditor/#use-format_upload_filename */
    private String imagePathFormat = "/ueditor/jsp/upload/image/{yyyy}{mm}{dd}/{time}{rand:6}";


    /* 涂鸦图片上传配置项 */
    /* 执行上传涂鸦的action名称 */
    private String scrawlActionName = "uploadscrawl";
    /* 提交的图片表单名称 */
    private String scrawlFieldName = "upfile";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    private String scrawlPathFormat = "/ueditor/jsp/upload/image/{yyyy}{mm}{dd}/{time}{rand:6}";
    /* 上传大小限制，单位B */
    private long scrawlMaxSize = 2048000;
    /* 图片访问路径前缀 */
    private String scrawlUrlPrefix = "";
    private String scrawlInsertAlign = "none";

    /* 截图工具上传 */
    /* 执行上传截图的action名称 */
    private String snapscreenActionName = "uploadimage";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    private String snapscreenPathFormat = "/ueditor/jsp/upload/image/{yyyy}{mm}{dd}/{time}{rand:6}";
    /* 图片访问路径前缀 */
    private String snapscreenUrlPrefix = "";
    /* 插入的图片浮动方式 */
    private String snapscreenInsertAlign = "none";

    /* 抓取远程图片配置 */
    private String[] catcherLocalDomain = new String[]{"127.0.0.1", "localhost", "img.baidu.com"};
    /* 执行抓取远程图片的action名称 */
    private String catcherActionName = "catchimage";
    /* 提交的图片列表表单名称 */
    private String catcherFieldName = "source";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    private String catcherPathFormat = "/ueditor/jsp/upload/image/{yyyy}{mm}{dd}/{time}{rand:6}";
    /* 图片访问路径前缀 */
    private String catcherUrlPrefix = "";
    /* 上传大小限制，单位B */
    private long catcherMaxSize = 2048000;
    /* 抓取图片格式显示 */
    private String[] catcherAllowFiles = new String[]{".png", ".jpg", ".jpeg", ".gif", ".bmp"};

    /* 上传视频配置 */
    /* 执行上传视频的action名称 */
    private String videoActionName = "uploadvideo";
    /* 提交的视频表单名称 */
    private String videoFieldName = "upfile";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    private String videoPathFormat = "/ueditor/jsp/upload/video/{yyyy}{mm}{dd}/{time}{rand:6}";
    /* 视频访问路径前缀 */
    private String videoUrlPrefix = "";
    /* 上传大小限制，单位B，默认100MB */
    private long videoMaxSize = 102400000;
    /* 上传视频格式显示 */
    private String[] videoAllowFiles = new String[]{".flv", ".swf", ".mkv", ".avi", ".rm", ".rmvb", ".mpeg", ".mpg",
            ".ogg", ".ogv", ".mov", ".wmv", ".mp4", ".webm", ".mp3", ".wav", ".mid"};

    /* 上传文件配置 */
    /* controller里;执行上传视频的action名称 */
    private String fileActionName = "uploadfile";
    /* 提交的文件表单名称 */
    private String fileFieldName = "upfile";
    /* 上传保存路径;可以自定义保存路径和文件名格式 */
    private String filePathFormat = "/ueditor/jsp/upload/file/{yyyy}{mm}{dd}/{time}{rand:6}";
    /* 文件访问路径前缀 */
    private String fileUrlPrefix = "";
    /* 上传大小限制，单位B，默认50MB */
    private long fileMaxSize = 51200000;
    /* 上传文件格式显示 */
    private String[] fileAllowFiles = new String[]{ ".png", ".jpg", ".jpeg", ".gif", ".bmp", ".flv", ".swf", ".mkv",
            ".avi", ".rm", ".rmvb", ".mpeg", ".mpg", ".ogg", ".ogv", ".mov", ".wmv", ".mp4", ".webm", ".mp3", ".wav",
            ".mid", ".rar", ".zip", ".tar", ".gz", ".7z", ".bz2", ".cab", ".iso", ".doc", ".docx", ".xls", ".xlsx",
            ".ppt", ".pptx", ".pdf", ".txt", ".md", ".xml"};

    /* 列出指定目录下的图片 */
    /* 执行图片管理的action名称 */
    private String imageManagerActionName = "listimage";
    /* 指定要列出图片的目录 */
    private String imageManagerListPath = "/ueditor/jsp/upload/image/";
    /* 每次列出文件数量 */
    private long imageManagerListSize = 20;
    /* 图片访问路径前缀 */
    private String imageManagerUrlPrefix = "";
    /* 插入的图片浮动方式 */
    private String imageManagerInsertAlign = "none";
    /* 列出的文件类型 */
    private String[] imageManagerAllowFiles = new String[]{".png", ".jpg", ".jpeg", ".gif", ".bmp"};

    /* 列出指定目录下的文件 */
    /* 执行文件管理的action名称 */
    private String fileManagerActionName = "listfile";
    /* 指定要列出文件的目录 */
    private String fileManagerListPath = "/ueditor/jsp/upload/file/";
    /* 文件访问路径前缀 */
    private String fileManagerUrlPrefix = "";
    /* 每次列出文件数量 */
    private long fileManagerListSize = 20;
    /* 列出的文件类型 */
    private String[] fileManagerAllowFiles = new String[]{".png", ".jpg", ".jpeg", ".gif", ".bmp", ".flv", ".swf",
            ".mkv", ".avi", ".rm", ".rmvb", ".mpeg", ".mpg", ".ogg", ".ogv", ".mov", ".wmv", ".mp4", ".webm", ".mp3",
            ".wav", ".mid", ".rar", ".zip", ".tar", ".gz", ".7z", ".bz2", ".cab", ".iso", ".doc", ".docx", ".xls",
            ".xlsx", ".ppt", ".pptx", ".pdf", ".txt", ".md", ".xml"};

}
