package com.org.utils.core;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 分页参数对象
 */
@Data
public class PageParams {

    /**
     * 页码，默认为1
     */
    @NotNull(message = "页码不能为空")
    @Min(value = 1, message ="页码不能小于1")
    private Integer pageNum = 1;

    /**
     * 分页大小
     */
    @NotNull(message = "分页大小不能为空")
    @Min(value = 1, message = "分页大小不能小于1")
    @Max(value = 100, message = "分页大小不能大于100")
    private Integer pageSize = 10;
}
