package com.org.web.hospital.domain;

import cn.hutool.core.date.DatePattern;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;


/**
 * 入院/退房记录
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_hospital_record")
public class BcHospitalRecord extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 人员id
     */
    private Long personId;

    /**
     * 房间id
     */
    private Long roomId;

    /**
     * 床位id
     */
    private Long bedId;

    /**
     * 入住时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATE_PATTERN, timezone = "GMT+8")
    private Date checkInTime;

    /**
     * 退房时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATE_PATTERN, timezone = "GMT+8")
    private Date checkOutTime;

    /**
     * 辅具使用情况
     */
    private String deviceUsage;

    /**
     * 用药情况
     */
    private String medication;

    /**
     * 医嘱
     */
    private String doctorAdvice;

    /**
     * 特殊说明
     */
    private String specialInstruction;


    /**
     * 记录类型 1-入院 2-出院
     */
    @TableField(exist = false)
    private Integer type;

    /**
     * 退房时间类型 1-全部 2-今年
     */
    @TableField(exist = false)
    private Integer returnType;

    /**
     * 人员名称
     */
    @TableField(exist = false)
    private String personName;
    /**
     * 房间名称
     */
    @TableField(exist = false)
    private String roomName;
    /**
     * 床位号
     */
    @TableField(exist = false)
    private String bedName;

}
