package com.org.web.person.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 服务人员
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_person_service")
public class BcPersonService extends BaseEntity {

    /** 用户ID */
    private Long id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证号码
     */
    private String idCardNo;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 性别 1-男 0-女
     */
    private Integer sex;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 岗位 数据字典0050
     */
    private Integer jobs;

    /**
     * 家庭住址
     */
    private String homeAddress;

    /**
     * 婚姻状况 数据字典0030 1-未婚 2-已婚 3-离异 99-未知
     */
    private Integer maritalStatus;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 民族
     */
    private String nation;

    /**
     * 身体状况
     */
    private String health;

    /**
     * 疾病史
     */
    private String diseaseHistory;

    /**
     * 获得奖项
     */
    private String awards;

    /**
     * 受到处罚
     */
    private String punish;

    /**
     * 参加的培训课程
     */
    private String train;

    /**
     * 获得的证书
     */
    private String certificate;

    /**
     * 政治面貌 数据字典0060
     */
    private Integer politicalOutlook;

    /**
     * 账号名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 岗位名称
     */
    @TableField(exist = false)
    private String jobsName;

    /** ---------------- 家庭成员 ------------------ */

    @TableField(exist = false)
    private List<BcPersonFamily> familyList = new ArrayList<>();
}
