package com.org.web.room.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * 房间
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_room")
public class BcRoom extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 房间名称
     */
    private String name;

    /**
     * 房间床位数量
     */
    private Integer bedNumber;

    /**
     * 房间类型
     */
    private Integer roomType;

    /**
     * 房间类型
     */
    @TableField(exist = false)
    private String roomTypeName;

    /** 床位列表 **/
    @TableField(exist = false)
    private List<BcRoomBed> roomBedList = new ArrayList<>();

}
